package com.bzd.system.service.dtp;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 随访模板表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDtpYypzFollowUpTemplateService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDtpYypzFollowUpTemplate(PageData pd)throws Exception {
        return daoSupport.update("SDtpYypzFollowUpTemplateMapper.addSDtpYypzFollowUpTemplate", pd);
    }

    public List<PageData> findSDtpYypzFollowUpTemplateList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDtpYypzFollowUpTemplateMapper.selectSDtpYypzFollowUpTemplateList", pd);
    }

    public Integer SDtpYypzFollowUpTemplateRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDtpYypzFollowUpTemplateMapper.SDtpYypzFollowUpTemplateRemove", pd);
    }


    public Integer updateSDtpYypzFollowUpTemplate(PageData pd)throws Exception {
        return daoSupport.update("SDtpYypzFollowUpTemplateMapper.updateSDtpYypzFollowUpTemplate", pd);
    }

}
